Index: src/hosthash.c
===================================================================
RCS file: /usr/local/cvsroot/Sentinel/src/hosthash.c,v
retrieving revision 1.49
diff -u -r1.49 hosthash.c
--- src/hosthash.c	6 Dec 2003 00:27:22 -0000	1.49
+++ src/hosthash.c	18 Jun 2004 21:16:01 -0000
@@ -460,15 +460,15 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s username mask: %s",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s username mask: %s",
 #else
-      alert("DRONE MATCH:  %s!%s@%s username mask: %s",
+      alert("DRONE MATCH:  %s!%s@%s on %s username mask: %s",
 #endif
-                 u->nick, u->username, u->hostname,
+                 u->nick, u->username, u->hostname, u->server->name,
                  de->name);
 #endif
-      slog(DRONE_LOG, L_NOTICE, "UN %s!%s@%s %s", u->nick, u->username,
-           u->hostname, de->name);
+      slog(DRONE_LOG, L_NOTICE, "UN %s!%s@%s %s %s", u->nick, u->username,
+           u->hostname, u->server->name, de->name);
       return ;
     }
   }
@@ -487,15 +487,15 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s nick mask: %s",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s nick mask: %s",
 #else
-      alert("DRONE MATCH:  %s!%s@%s nick mask: %s",
+      alert("DRONE MATCH:  %s!%s@%s on %s nick mask: %s",
 #endif
-                 u->nick, u->username, u->hostname,
+                 u->nick, u->username, u->hostname, u->server->name,
                  de->name);
 #endif
-      slog(DRONE_LOG, L_NOTICE, "NI %s!%s@%s %s", u->nick, u->username,
-           u->hostname, de->name);
+      slog(DRONE_LOG, L_NOTICE, "NI %s!%s@%s %s %s", u->nick, u->username,
+           u->hostname, u->server->name, de->name);
       return ;
     }
   }
@@ -532,14 +532,14 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s nick == gecos",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s nick == gecos",
 #else
-      alert("DRONE MATCH:  %s!%s@%s nick == gecos",
+      alert("DRONE MATCH:  %s!%s@%s on %s nick == gecos",
 #endif
-                 u->nick, u->username, u->hostname);
+                 u->nick, u->username, u->hostname, u->server->name);
 #endif
-      slog(DRONE_LOG, L_NOTICE, "NG %s!%s@%s *", u->nick, u->username,
-           u->hostname);
+      slog(DRONE_LOG, L_NOTICE, "NG %s!%s@%s %s *", u->nick, u->username,
+           u->hostname, u->server->name);
       return ;
     }
   }
@@ -571,14 +571,14 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-          dronealert("DRONE MATCH:  %s!%s@%s possible fizzer",
+          dronealert("DRONE MATCH:  %s!%s@%s on %s possible fizzer",
 #else
-          alert("DRONE MATCH:  %s!%s@%s possible fizzer",
+          alert("DRONE MATCH:  %s!%s@%s on %s possible fizzer",
 #endif
-                     u->nick, u->username, u->hostname);
+                     u->nick, u->username, u->hostname, u->server->name);
 #endif
-          slog(DRONE_LOG, L_NOTICE, "FZ %s!%s@%s *", u->nick, u->username,
-               u->hostname);
+          slog(DRONE_LOG, L_NOTICE, "FZ %s!%s@%s %s *", u->nick, u->username,
+               u->hostname, u->server->name);
           free(tmpgecos);
           return ;
         }
@@ -604,15 +604,15 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s gecos mask: %s",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s gecos mask: %s",
 #else
-      alert("DRONE MATCH:  %s!%s@%s gecos mask: %s",
+      alert("DRONE MATCH:  %s!%s@%s on %s gecos mask: %s",
 #endif
-                 u->nick, u->username, u->hostname,
+                 u->nick, u->username, u->hostname, u->server->name,
                  de->name);
 #endif
-      slog(DRONE_LOG, L_NOTICE, "GE %s!%s@%s %s", u->nick, u->username,
-           u->hostname, de->name);
+      slog(DRONE_LOG, L_NOTICE, "GE %s!%s@%s %s %s", u->nick, u->username,
+           u->hostname, u->server->name, de->name);
       return ;
     }
   }
@@ -651,15 +651,15 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s channel mask: %s",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s channel mask: %s",
 #else
-      alert("DRONE MATCH:  %s!%s@%s channel mask: %s",
+      alert("DRONE MATCH:  %s!%s@%s on %s channel mask: %s",
 #endif
-                 u->nick, u->username, u->hostname,
+                 u->nick, u->username, u->hostname, u->server->name,
                  de->name);
 #endif
       slog(DRONE_LOG, L_NOTICE, "CH %s!%s@%s %s", u->nick, u->username,
-           u->hostname, de->name);
+           u->hostname, u->server->name, de->name);
       return ;
     }
   }
@@ -699,15 +699,15 @@
 #if defined(DRONES_ALERT)
 #ifdef DRONES_CHANNEL
 
-      dronealert("DRONE MATCH:  %s!%s@%s version mask: %s",
+      dronealert("DRONE MATCH:  %s!%s@%s on %s version mask: %s",
 #else
-      alert("DRONE MATCH:  %s!%s@%s version mask: %s",
+      alert("DRONE MATCH:  %s!%s@%s on %s version mask: %s",
 #endif
                  u->nick, u->username, u->hostname,
-                 de->name);
+                 u->server->name, de->name);
 #endif
-      slog(DRONE_LOG, L_NOTICE, "VE %s!%s@%s %s", u->nick, u->username,
-           u->hostname, de->name);
+      slog(DRONE_LOG, L_NOTICE, "VE %s!%s@%s %s %s", u->nick, u->username,
+           u->hostname, u->server->name, de->name);
       return ;
     }
   }
